## net.sf.saxon.tree
Interface NodeFactory

All Known Implementing Classes:
  SchemaNodeFactory, StyleNodeFactory

    public interface NodeFactory

Interface NodeFactory.
A Factory for nodes used to build a tree.
Currently only allows Element nodes to be user-constructed.

Version:
  25 February 2000
Author:
  Michael H. Kay

Method Summary
`ElementImpl` `makeElementNode(NodeInfo parent, int nameCode, int typeCode, AttributeCollectionImpl attlist, int[] namespaces, int namespacesUsed, LocationProvider locator, int locationId, int sequenceNumber)` Create an Element node

Method Detail

### makeElementNode

    ElementImpl makeElementNode(NodeInfo parent,
                                int nameCode,
                                int typeCode,
                                AttributeCollectionImpl attlist,
                                int[] namespaces,
                                int namespacesUsed,
                                LocationProvider locator,
                                int locationId,
                                int sequenceNumber)

  Create an Element node

  Parameters:
    `parent` - The parent element
    `nameCode` - The element name
    `typeCode` -
    `attlist` - The attribute collection, excluding any namespace attributes
    `namespaces` - List of new namespace declarations for this element, as a sequence of namespace codes representing pairs of strings: (prefix1, uri1), (prefix2, uri2)...
    `namespacesUsed` - the number of elemnts of the namespaces array actually used
    `locator` - Indicates the source document and line number containing the node
    `locationId` - Indicates the source document and line number containing the node
    `sequenceNumber` - Sequence number to be assigned to represent document order.

Copyright (c) Saxonica Limited. All rights reserved.